public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-block/mbuffer/
Date: Tue, 21 Jun 2022 17:40:35 +0000 (UTC)	[thread overview]
Message-ID: <1655833227.31d1f32ade6a3b11378453363b19dccaecb54890.mattst88@gentoo> (raw)

commit:     31d1f32ade6a3b11378453363b19dccaecb54890
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 21 17:31:39 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Tue Jun 21 17:40:27 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31d1f32a

sys-block/mbuffer: Version bump to 20220418

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 sys-block/mbuffer/Manifest                |  1 +
 sys-block/mbuffer/mbuffer-20220418.ebuild | 69 +++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/sys-block/mbuffer/Manifest b/sys-block/mbuffer/Manifest
index 21aa08ed1c99..0335942b5c39 100644
--- a/sys-block/mbuffer/Manifest
+++ b/sys-block/mbuffer/Manifest
@@ -1 +1,2 @@
 DIST mbuffer-20211018.tgz 149348 BLAKE2B 0b9fbd6b48198cb8def22687420c61ed2e60f7be5ba10365bdc324f4de33c5e1fafdad93c53031d8fb4cb2d2cbb1695e517761eb6859f2f80ffabbeacb4783c9 SHA512 9e08bec5945e7495b469578381d154c2820aed51d1afbf5d0b9bdd693acc095bb4b69e376f5e6a9a8e239f5b9adfcdc7e091d692006248447490ce0547bb7109
+DIST mbuffer-20220418.tgz 149535 BLAKE2B 8c7eacae791bef8ac6cd2ce57e6a5fbda7c7c233c37ccc504ad6584385df4b4df49aaf67f2d2dc7a3ee9f7e1431ba511847646a4c92616c1a4af5ac094e029e9 SHA512 aad7f764c82e3bdd4ee3fc5ac8174e716fd44cdb0418f1994d3f506d2e58264a13e15596bc8e78e9e8bb2d181875294448085bab122a2a31356d4336bb8b54a4

diff --git a/sys-block/mbuffer/mbuffer-20220418.ebuild b/sys-block/mbuffer/mbuffer-20220418.ebuild
new file mode 100644
index 000000000000..1fb048d9a999
--- /dev/null
+++ b/sys-block/mbuffer/mbuffer-20220418.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="M(easuring)buffer is a replacement for buffer with additional functionality"
+HOMEPAGE="https://www.maier-komor.de/mbuffer.html"
+SRC_URI="https://www.maier-komor.de/software/mbuffer/${P}.tgz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
+IUSE="debug ssl test"
+
+REQUIRED_USE="test? ( ssl )"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="ssl? (
+		dev-libs/openssl:0=
+	)"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-20180410-sysconfdir.patch"
+	"${FILESDIR}/${PN}-20200929-find-OBJDUMP.patch"
+)
+
+src_prepare() {
+	ln -s "${DISTDIR}"/${P}.tgz test.tar #258881
+
+	default
+
+	mv configure.in configure.ac || die
+
+	eautoreconf
+}
+
+src_configure() {
+	local myeconfargs=(
+		$(use_enable ssl md5)
+		$(use_enable debug)
+	)
+	econf "${myeconfargs[@]}"
+}
+
+src_test() {
+	if has usersandbox ${FEATURES} || has network-sandbox ${FEATURES}; then
+		ewarn "Some tests may fail with FEATURES=usersandbox or"
+		ewarn "FEATURES=network-sandbox; Skipping tests because"
+		ewarn "test suite would hang forever in such environments!"
+		return 0;
+	fi
+
+	# Enforce MAKEOPTS=-j1 because src_test() spawns multiple listener
+	# using same port and src_install may have problems (with /etc folder)
+	local -x MAKEOPTS=-j1
+
+	default
+}
+
+pkg_postinst() {
+	if ! has_version "app-arch/mt-st"; then
+		elog ""
+		elog "If you want autoloader support you need to install \"app-arch/mt-st\" in addition!"
+	fi
+}


             reply	other threads:[~2022-06-21 17:40 UTC|newest]

Thread overview: 92+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-06-21 17:40 Matt Turner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-08  1:08 [gentoo-commits] repo/gentoo:master commit in: sys-block/mbuffer/ Jakov Smolić
2025-01-18 17:38 Sam James
2025-01-12 14:22 Sam James
2025-01-12 14:10 Sam James
2025-01-12 13:42 Sam James
2024-08-29  5:35 Jakov Smolić
2024-08-29  5:23 Jakov Smolić
2024-07-15  1:57 Sam James
2024-03-02 16:39 Arthur Zamarin
2024-02-18 13:31 Sam James
2024-02-18 13:31 Sam James
2024-02-03  6:56 Sam James
2024-02-02 17:51 Arthur Zamarin
2024-02-02 13:34 Arthur Zamarin
2024-02-02  5:29 Sam James
2024-01-23  5:43 Sam James
2024-01-18  0:28 Sam James
2024-01-17  6:34 Sam James
2024-01-17  5:57 Sam James
2024-01-17  5:50 Sam James
2024-01-14  3:40 Sam James
2023-12-03  3:37 Sam James
2023-11-18  2:29 Sam James
2023-04-23 22:24 Sam James
2023-04-23 20:42 Sam James
2023-04-23 20:05 Sam James
2023-04-23 20:01 Sam James
2023-04-23 20:00 Sam James
2023-03-13 22:11 Sam James
2022-12-26  8:35 Sam James
2022-11-25  6:02 Sam James
2022-11-25  5:33 Sam James
2022-11-25  5:21 Sam James
2022-11-25  5:16 Sam James
2022-11-25  5:16 Sam James
2022-08-11 13:58 Yixun Lan
2022-06-21  9:41 David Seifert
2022-06-02  3:14 Sam James
2022-06-02  3:12 Sam James
2022-06-02  3:12 Sam James
2022-06-02  3:05 Sam James
2022-06-02  3:05 Sam James
2022-04-17 17:06 Sam James
2021-10-20 23:48 Thomas Deutschmann
2021-10-15 14:33 Thomas Deutschmann
2021-09-04 17:35 David Seifert
2021-09-01 14:17 Thomas Deutschmann
2021-08-12 15:31 Sam James
2021-08-11  0:02 Sam James
2021-08-10 15:36 Agostino Sarubbo
2021-08-09  0:38 Sam James
2021-05-02 16:12 Mikle Kolyada
2021-03-30  0:21 Thomas Deutschmann
2021-02-16 12:30 Sam James
2021-02-15 10:48 Sam James
2021-02-12 13:48 Sam James
2021-02-12  9:57 Sam James
2021-02-10 22:21 Thomas Deutschmann
2020-08-16 11:04 Stefan Strogin
2020-08-11 15:05 Thomas Deutschmann
2020-08-11 14:23 Agostino Sarubbo
2020-08-11  7:21 Sergei Trofimovich
2020-08-10 13:52 Agostino Sarubbo
2020-08-07 18:51 Sam James
2020-06-29  6:22 Agostino Sarubbo
2020-05-19  9:49 Thomas Deutschmann
2020-05-19  9:49 Thomas Deutschmann
2020-05-08 20:58 Mart Raudsepp
2019-11-29  8:59 Agostino Sarubbo
2019-11-28 10:55 Agostino Sarubbo
2019-11-27 13:30 Thomas Deutschmann
2019-11-27  9:19 Thomas Deutschmann
2019-11-27  8:52 Thomas Deutschmann
2019-09-13 18:35 Mikle Kolyada
2019-09-13 18:35 Mikle Kolyada
2019-07-30 23:02 Thomas Deutschmann
2019-02-22 14:08 Thomas Deutschmann
2018-12-23 12:35 Mikle Kolyada
2018-12-23 12:29 Mikle Kolyada
2018-12-20  1:30 Thomas Deutschmann
2018-12-19 22:48 Sergei Trofimovich
2018-12-03  0:08 Thomas Deutschmann
2018-07-06  1:04 Thomas Deutschmann
2018-05-20  0:19 Thomas Deutschmann
2018-04-14 19:08 Aaron Bauman
2018-04-05 23:19 Thomas Deutschmann
2018-03-27  9:31 Lars Wendler
2017-11-07 10:57 Thomas Deutschmann
2016-04-16 13:28 Manuel Rüger
2016-04-13 18:23 Robin H. Johnson
2015-09-06 12:41 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1655833227.31d1f32ade6a3b11378453363b19dccaecb54890.mattst88@gentoo \
    --to=mattst88@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox